### Home Classes Methods

### In Files

- lib/highline/import.rb

### Parent

BasicObject

### Methods

- #or_ask

### Files

- CHANGELOG
- INSTALL
- LICENSE
- README.rdoc
- TODO

### Class/Module Index

Quicksearch

- HighLine
- HighLine::ColorScheme
- HighLine::HighLine
- HighLine::HighLine::HighLine
- HighLine::HighLine::HighLine::String
- HighLine::Menu
- HighLine::Question
- HighLine::Question::NoAutoCompleteMatch
- HighLine::QuestionError
- HighLine::SampleColorScheme
- HighLine::Simulate
- HighLine::StringExtensions
- HighLine::Style
- HighLine::SystemExtensions
- HighLine::SystemExtensions::WinAPI
- IO
- Kernel
- Object
- String
- StringIO

No matching classes.

# Object

### Public Instance Methods

or_ask( *args, &details ) click to toggle source

Tries this object as a first_answer for a HighLine::Question. See that attribute for details.

Warning: This Object will be passed to String() before set.

    # File lib/highline/import.rb, line 34
    def or_ask( *args, &details )
      ask(*args) do |question|
        question.first_answer = String(self) unless nil?

        details.call(question) unless details.nil?
      end
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.